## ru.biosoft.plugins.jri
Class LocalRObject

    java.lang.Object
      org.rosuda.REngine.REngine
          ru.biosoft.plugins.jri.RObjectSupport
              ru.biosoft.plugins.jri.LocalRObject

All Implemented Interfaces:
  RObject

    public class LocalRObject

extends RObjectSupport

RObject implementation to work with locally installer R application via JRI

Constructor Summary
`LocalRObject()`

Method Summary
`void` | `assign(java.lang.String symbol, org.rosuda.REngine.REXP value, org.rosuda.REngine.REXP env)`
`static RObject` | `createObject()`
`org.rosuda.REngine.REXP` | `createReference(org.rosuda.REngine.REXP value)`
`org.rosuda.REngine.REXP` | `eval(org.rosuda.REngine.REXP what, org.rosuda.REngine.REXP where, boolean resolve)`
`org.rosuda.REngine.REXP` | `eval(java.lang.String paramString)` Evaluate expression and return result object
`void` | `finalizeReference(org.rosuda.REngine.REXP ref)`
`org.rosuda.REngine.REXP` | `get(java.lang.String symbol, org.rosuda.REngine.REXP env, boolean resolve)`
`static RConsole` | `getCallback()`
`org.rosuda.REngine.REXP` | `getParentEnvironment(org.rosuda.REngine.REXP env, boolean resolve)`
`boolean` | `isAvailable()`
`org.rosuda.REngine.REXP` | `newEnvironment(org.rosuda.REngine.REXP parent, boolean resolve)`
`org.rosuda.REngine.REXP` | `parse(java.lang.String text, boolean resolve)`
`org.rosuda.REngine.REXP` | `resolveReference(org.rosuda.REngine.REXP ref)`
`java.lang.String` | `toString()`
`void` | `voidEval(java.lang.String paramString)` Evaluate expression and return messages

Methods inherited from class ru.biosoft.plugins.jri.RObjectSupport
`assignObject, getREXPObject, help, newSession, openSession, saveSession, setEnvironmentProvider`

Methods inherited from class org.rosuda.REngine.REngine
`assign, assign, assign, assign, assign, assign, close, engineForClass, getLastEngine, parseAndEval, parseAndEval, supportsEnvironemnts, supportsReferences, supportsREPL`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalRObject

    public LocalRObject()

Method Detail

### createObject

    public static RObject createObject()

### getCallback

    public static RConsole getCallback()

### isAvailable

    public boolean isAvailable()

### parse

    public org.rosuda.REngine.REXP parse(java.lang.String text,
                                         boolean resolve)
                                  throws org.rosuda.REngine.REngineException

  Specified by:
    `parse` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`

### eval

    public org.rosuda.REngine.REXP eval(org.rosuda.REngine.REXP what,
                                        org.rosuda.REngine.REXP where,
                                        boolean resolve)
                                 throws org.rosuda.REngine.REngineException,
                                        org.rosuda.REngine.REXPMismatchException

  Specified by:
    `eval` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### assign

    public void assign(java.lang.String symbol,
                       org.rosuda.REngine.REXP value,
                       org.rosuda.REngine.REXP env)
                throws org.rosuda.REngine.REngineException,
                       org.rosuda.REngine.REXPMismatchException

  Specified by:
    `assign` in class `RObjectSupport`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### get

    public org.rosuda.REngine.REXP get(java.lang.String symbol,
                                       org.rosuda.REngine.REXP env,
                                       boolean resolve)
                                throws org.rosuda.REngine.REngineException,
                                       org.rosuda.REngine.REXPMismatchException

  Specified by:
    `get` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### resolveReference

    public org.rosuda.REngine.REXP resolveReference(org.rosuda.REngine.REXP ref)
                                             throws org.rosuda.REngine.REngineException,
                                                    org.rosuda.REngine.REXPMismatchException

  Specified by:
    `resolveReference` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### finalizeReference

    public void finalizeReference(org.rosuda.REngine.REXP ref)
                           throws org.rosuda.REngine.REngineException,
                                  org.rosuda.REngine.REXPMismatchException

  Specified by:
    `finalizeReference` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### createReference

    public org.rosuda.REngine.REXP createReference(org.rosuda.REngine.REXP value)
                                            throws org.rosuda.REngine.REngineException,
                                                   org.rosuda.REngine.REXPMismatchException

  Specified by:
    `createReference` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### getParentEnvironment

    public org.rosuda.REngine.REXP getParentEnvironment(org.rosuda.REngine.REXP env,
                                                        boolean resolve)
                                                 throws org.rosuda.REngine.REngineException,
                                                        org.rosuda.REngine.REXPMismatchException

  Specified by:
    `getParentEnvironment` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`
    `org.rosuda.REngine.REXPMismatchException`

### newEnvironment

    public org.rosuda.REngine.REXP newEnvironment(org.rosuda.REngine.REXP parent,
                                                  boolean resolve)
                                           throws org.rosuda.REngine.REngineException

  Specified by:
    `newEnvironment` in class `org.rosuda.REngine.REngine`
  Throws:
    `org.rosuda.REngine.REngineException`

### eval

    public org.rosuda.REngine.REXP eval(java.lang.String paramString)

  Description copied from interface: `RObject`
  Evaluate expression and return result object

### voidEval

    public void voidEval(java.lang.String paramString)

  Description copied from interface: `RObject`
  Evaluate expression and return messages

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.rosuda.REngine.REngine`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.